Subject: Python packaging policy?
From: Oleksandr Gavenko via Cygwin <[email-masked]>
To: [email-masked]
Date: Wed, 20 Jan 2021 01:02:14 +0200
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

I figured it out myself that I have to avoid "python3-*" packages and instead
to work with "python36-*" or "python38-*" as "python3-*" packages are marked
as "category: _obsolete" in setup.bz2.

Are there any docs that describes policy for python packages in Cygwin?

I had experience with https://www.debian.org/doc/packaging-manuals/python-policy/
That document had answers to the most questions.

I tried to search for similar information under:

/usr/share/doc/
/usr/share/doc/Cygwin

and in

git://cygwin.com/git/cygwin-htdocs.git

and haven't succeeded.

I'm interested in a package naming/versioning schema, a migration path across
Python releases and the way of "pip install" to live in harmony with Cygwin.

I don't insist on anything particular but some "official" generic guide how to
cook Python in Cygwin would be helpful.

-- 
http://defun.work/

--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple